echo ============ whole earth

MODEL=ak135
echo MODEL: ${MODEL}
OUTPATH=~/work_temp/nlloc_tmp/taup/${MODEL}_ISC_depthPhases
echo OUTPATH: ${OUTPATH}

java edu.sc.seis.TauP.TauP_Create -tvel ${MODEL}.tvel

# Whole Earth
NLL_GRID=9001,0.0,180.0,351,0.0,700.0
#NLL_GRID=7201,0.0,180.0,281,0.0,700.0
echo NLL_GRID: $NLL_GRID

echo First arriving P and S

java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph P,p,Pg,Pn,Pdiff -o ${OUTPATH}/${MODEL} &
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph Pg -o ${OUTPATH}/${MODEL} &
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph Pn -o ${OUTPATH}/${MODEL} &
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph PKP -o ${OUTPATH}/${MODEL} &
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph PKIKP -o ${OUTPATH}/${MODEL} &
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph S,s,Sg,Sn,Sdiff -o ${OUTPATH}/${MODEL} &
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph Sg -o ${OUTPATH}/${MODEL} &
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph Sn -o ${OUTPATH}/${MODEL} &
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph SKS -o ${OUTPATH}/${MODEL} &
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph SKIKS -o ${OUTPATH}/${MODEL} &

echo First arriving P angles
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID} -nll_angles ${NLL_GRID}  -mod ${MODEL} -ph P,Pg,p,Pn,Pdiff,PKP,PKiKP,PKIKP -o ${OUTPATH}/${MODEL} &

echo pP and sP

java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph pP -o ${OUTPATH}/${MODEL}
mv ${OUTPATH}/${MODEL}.pP.DEFAULT.time.buf ${OUTPATH}/${MODEL}.p_P.DEFAULT.time.buf
mv ${OUTPATH}/${MODEL}.pP.DEFAULT.time.hdr ${OUTPATH}/${MODEL}.p_P.DEFAULT.time.hdr
java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph sP -o ${OUTPATH}/${MODEL}
mv ${OUTPATH}/${MODEL}.sP.DEFAULT.time.buf ${OUTPATH}/${MODEL}.s_P.DEFAULT.time.buf
mv ${OUTPATH}/${MODEL}.sP.DEFAULT.time.hdr ${OUTPATH}/${MODEL}.s_P.DEFAULT.time.hdr


echo ============ whole Earth dist>10deg
NLL_GRID=8501,10.0,180.0,351,0.0,700.0

echo PP and PS and SP and SS
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph PP -o ${OUTPATH}/${MODEL}
#java edu.sc.seis.TauP.TauP_Table_NLL -nll ${NLL_GRID}  -mod ${MODEL} -ph SS -o ${OUTPATH}/${MODEL}
